* {
    user-select: none;
    -webkit-user-drag: none;
    -moz-user-select: none;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

@font-face {
    font-family: font;
    src: url(font.ttf);
}

body {
    height: 100vh;
    width: 100vw;
    background: url("retro.gif");
    background-size: cover;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 50px;
}

#next-song, #retro, #actuel, #ost, #random, #station-button {
    pointer-events: none;
    padding: 10px 20px;
    font-size: 16px;
    position: absolute;
    background-color: #12172080;
    border: none;
    cursor: pointer;
    border-radius: 20px;
    font-size: 30px;
    font-weight: 500;
    opacity: 0;
    filter: drop-shadow(0px -2px 1px #000) drop-shadow(0px -2px 2px #000) drop-shadow(0px -2px 3px #0008) drop-shadow(0px 2px 2px #fff8);
}

#station-button {
    left: 260px;
    top: 170px;
    width: 170px;
    overflow: hidden;

    &.retro {
        color: #da691f;
    }

    &.actuel {
        color: rgb(203, 56, 233);
    }

    &.ost {
        color: rgb(61, 240, 225);
    }

    &.random {
        color: rgb(64, 245, 41);
    }
}

#next-song {
    left: 330px;
    top: 270px;

    &.retro {
        color: #da691f;
    }

    &.actuel {
        color: rgb(203, 56, 233);
    }

    &.ost {
        color: rgb(61, 240, 225);
    }

    &.random {
        color: rgb(64, 245, 41);
    }
}

#retro {
    left: 360px;
    top: 430px;
    color: #da691f;

    &.active {
        box-shadow: 0 0 2vh .5vh #da691f;
        animation: blink .15s steps(1, end) infinite;
    }
}

#actuel {
    left: 390px;
    top: 530px;
    color: rgb(203, 56, 233);

    &.active {
        box-shadow: 0 0 2vh .5vh rgb(203, 56, 233);
        animation: blink .15s steps(1, end) infinite;
    }
}

#ost {
    left: 440px;
    top: 630px;
    color: rgb(61, 240, 225);

    &.active {
        box-shadow: 0 0 2vh .5vh rgb(61, 240, 225);
        animation: blink .15s steps(1, end) infinite;
    }
}

#random {
    left: 460px;
    top: 730px;
    color: rgb(64, 245, 41);

    &.active {
        box-shadow: 0 0 2vh .5vh rgb(64, 245, 41);
        animation: blink .15s steps(1, end) infinite;
    }
 
}

#track-infos {
    padding: 20px;
    height: 470px;
    font-size: 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    right: 35px;
    gap: 10px;
    bottom: 45px;
    background-color: #12172080;
    border: none;
    border-radius: 20px;
    font-size: 30px;
    font-weight: 500;
    opacity: 0;
    filter: drop-shadow(0px -2px 1px #000) drop-shadow(0px -2px 2px #000) drop-shadow(0px -2px 3px #0008) drop-shadow(0px 2px 2px #fff8);

    & img {
        width: 310px;
        border-radius: 20px;
    }

    &.retro {
        color: #da691f;
    }

    &.actuel {
        color: rgb(203, 56, 233);
    }

    &.ost {
        color: rgb(61, 240, 225);
    }

    &.random {
        color: rgb(64, 245, 41);
    }
}

#track-image {
    opacity: 1;
    transition: opacity 0.5s ease, transform 0.5s ease;
}

#track-title {
    font-size: 43px;

    &.retro {
        color: #da691f;
    }

    &.actuel {
        color: rgb(203, 56, 233);
    }

    &.ost {
        color: rgb(61, 240, 225);
    }

    &.random {
        color: rgb(64, 245, 41);
    }
}

#track-singer {
    font-size: 2rem;

    &.retro {
        color: #da691f;
    }

    &.actuel {
        color: rgb(203, 56, 233);
    }

    &.ost {
        color: rgb(61, 240, 225);
    }

    &.random {
        color: rgb(64, 245, 41);
    }
}
  
.transition-out {
    opacity: 0;
    animation: defilement2 .3s infinite linear;
}

.transition-in {
    animation: defilement3 .3s infinite linear;
}

.messagedefilant {
    display: block;
    overflow: hidden;
    position: relative;
    width: 330px;
    max-width: 640px;
    height: 60px;
}

.cover-defilment {
    display: block;
    overflow: hidden;
    position: relative;
    width: 310px;
    max-width: 640px;
    height: 400px;
    border-radius: 20px;
}

.messagedefilant div {
    position: absolute;
    min-width: 100%;
    margin-top: 10px;
}
   
.messagedefilant div span, 
.messagedefilant div:after {
    position: relative;
    display: inline-block;
    font-size: 2rem;
    white-space: nowrap;
}
   
.messagedefilant div span {
    animation: defilement 7s infinite linear;
    font-family: font;
}
   
@keyframes defilement {
    0% { margin-left: 100%; }
    100% { margin-left: -100%; }
}

@keyframes defilement2 {
    0% { margin-left: 0%; }
    100% { margin-left: -100%; }
}

@keyframes defilement3 {
    0% { margin-left: 100%; }
    100% { margin-left: 0%; }
}

@keyframes blink {
    0% {
        opacity: 0.9;
    }

    50% {
        opacity: 1;
    }

    100% {
        opacity: 0.9;
    }
}

#bars {
    height: 30px;
    left: 390px;
    margin: -30px 0 0 -20px;
    position: absolute;
    top: 390px;
    width: 40px;
    opacity: 0;
}

.bar {
    bottom: 1px;
    height: 3px;
    position: absolute;
    width: 3px;      
    animation: sound 0ms -800ms linear infinite alternate;

    &.retro {
        background: #da691f;
    }

    &.actuel {
        background: rgb(203, 56, 233);
    }

    &.ost {
        background: rgb(61, 240, 225);
    }

    &.random {
        background: rgb(64, 245, 41);
    }
}

@keyframes sound {
    0% {
       opacity: .35;
        height: 3px; 
    }
    100% {
        opacity: 1;       
        height: 28px;        
    }
}

.bar:nth-child(1)  { left: 1px; animation-duration: 474ms; }
.bar:nth-child(2)  { left: 5px; animation-duration: 433ms; }
.bar:nth-child(3)  { left: 9px; animation-duration: 407ms; }
.bar:nth-child(4)  { left: 13px; animation-duration: 458ms; }
.bar:nth-child(5)  { left: 17px; animation-duration: 400ms; }
.bar:nth-child(6)  { left: 21px; animation-duration: 427ms; }
.bar:nth-child(7)  { left: 25px; animation-duration: 441ms; }
.bar:nth-child(8)  { left: 29px; animation-duration: 419ms; }
.bar:nth-child(9)  { left: 33px; animation-duration: 487ms; }
.bar:nth-child(10) { left: 37px; animation-duration: 442ms; }

/* Custom Power button (nan nan) */

:root {
    --sz: 4.5vmin;
    --on: #99dc39;
    --of: #F44336;
    --lg: var(--of);
    --sp: 1s;
}	
  
*, *:before, *:after {
    box-sizing: border-box;
    transition: all var(--sp) ease 0s;
}
  
.content {
    position: absolute;
    top: 50px;
    left: 200px;
    width: calc(var(--sz) * 5.55);
    height: calc(var(--sz) * 2);
    display: flex;
    align-items: center;
    justify-content: center;
}
  
input {
    display: none;
}
  
label[for=btn] {
    position: absolute;
    width: calc(var(--sz) * 5.55);
    height: calc(var(--sz) * 2);
    background: linear-gradient(0deg, #12172080, #0d121780);
    border-radius: var(--sz);
    display: flex;
    align-items: center;
    background: radial-gradient(circle at 50% calc(var(--sz) / 0.085), #fff0 calc(var(--sz) / 0.1), #000 calc(calc(var(--sz) / 0.1) + 1px) calc(var(--sz) / 0.0875), #fff0 calc(calc(var(--sz) / 0.0875) + 1px) 100%), 
      radial-gradient(circle at 50% calc(var(--sz) / -0.1025), #fff0 calc(var(--sz) / 0.1), #000 calc(calc(var(--sz) / 0.1) + 1px) calc(var(--sz) / 0.0875), #fff0 calc(calc(var(--sz) / 0.0875) + 1px) 100%);
}
  
label[for=btn]:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: var(--sz);
    background: radial-gradient(circle at 50% calc(var(--sz) / 0.0845), #fff0 calc(var(--sz) / 0.1), #121212 calc(calc(var(--sz) / 0.1) + 1px) calc(var(--sz) / 0.0875), #fff0 calc(calc(var(--sz) / 0.0875) + 1px) 100%), radial-gradient(circle at 50% calc(var(--sz) / -0.1015), #fff0 calc(var(--sz) / 0.1), #121212 calc(calc(var(--sz) / 0.1) + 1px) calc(var(--sz) / 0.0875), #fff0 calc(calc(var(--sz) / 0.0875) + 1px) 100%);
    filter: drop-shadow(0px -2px 1px #000) drop-shadow(0px -2px 2px #000) drop-shadow(0px -2px 3px #0008) drop-shadow(0px 2px 2px #fff8);
}
  
.thumb {
    position: absolute;
    width: calc(calc(var(--sz) * 2) - calc(var(--sz) / 8));
    height: calc(calc(var(--sz) * 2) - calc(var(--sz) / 8));
    margin-top: calc(calc( var(--sz) / 10) + calc(var(--sz) / -7));
    left: calc(calc( var(--sz) / 10) + calc(var(--sz) / -30));
    background: 
        linear-gradient(0deg, #212121, #fff0 35% 65%, #474747), 
      radial-gradient( #fff0 0 calc(var(--sz) / 3), #393939 calc(calc(var(--sz) / 3) + 1px) calc(var(--sz) / 1), #474747);
    border-radius: var(--sz);
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    overflow: hidden;
    box-shadow: 
      0 0 calc(var(--sz) / 3) calc(var(--sz) / -8) var(--lg), 
      0 0 calc(var(--sz) / 5) calc(var(--sz) / -15) var(--lg) inset, 
      calc(var(--sz) / -50) calc(var(--sz) / 50) calc(var(--sz) / 30) 0 #fff2 inset, 0 0 calc(var(--sz) / 10) calc(var(--sz) / 50) #000c, 0 calc(var(--sz) / 4) calc(var(--sz) / 5) 0 #000d;
    animation: grow calc(var(--sp) / 3) ease 0s 2 alternate;
}
  
#btn:checked + label .thumb {
    --lg: var(--on);
    left: calc(calc(100% - calc(calc(var(--sz) * 2) - calc(var(--sz) / 3))) - calc(calc( var(--sz) / 10) + calc(var(--sz) / 6)));
    animation: grow2 calc(var(--sp) / 3) ease 0s 2 alternate;
}
  
@keyframes grow {
    80%, 100% {
      height: calc(calc(var(--sz) * 2) - calc(var(--sz) / 2.5));
      width: calc(calc(var(--sz) * 2) - calc(var(--sz) * -0.5));
    }
}
  
@keyframes grow2 {
    80%, 100% {
      height: calc(calc(var(--sz) * 2) - calc(var(--sz) / 2.5));
      width: calc(calc(var(--sz) * 2) - calc(var(--sz) * -0.5));
    }
}
  
.thumb:before {
    content: "";
    width: calc(var(--sz) / 1.65);
    height: calc(var(--sz) / 1.65);
    background: #fff0;
    border-radius: 100%;
    box-shadow: 
      0 calc(var(--sz) / -1) calc(var(--sz) / 2) var(--lg),
      0 calc(var(--sz) / 1) calc(var(--sz) / 2) var(--lg), 
      0 0 2vmin 0.25vmin var(--lg) inset, 0 0 5vmin 1.5vmin var(--lg), 
      0 0 calc(var(--sz) / 5) 0 #fff;
}
  
.lights {
    position: absolute;
    width: calc(100% + calc(var(--sz) * 2));
    height: calc(var(--sz) / 1.75);
    display: flex;
    justify-content: space-between;
    padding: 0;
    z-index: 0;
}
  
.lights span {
    background: #121212;
    position: relative;
    width: calc(var(--sz) / 1.75);
    height: calc(var(--sz) / 1.75);
    border-radius: var(--sz);
    box-shadow: 
      0 0 calc(var(--sz) / 50) calc(var(--sz) / 50) #0008, 
      0 calc(var(--sz) / -20) calc(var(--sz) / 10) calc(var(--sz) / 500) #000, 
      0 calc(var(--sz) / 20) calc(var(--sz) / 10) calc(var(--sz) / 500) #fff8, 
      0 0 calc(var(--sz) / 20) calc(var(--sz) / 25) #000;
    display: flex;
    align-items: center;
    justify-content: center;
}
  
.lights {
    position: absolute;
    width: calc(100% - calc(var(--sz) * 1.425));
    height: calc(var(--sz) / 1.75);
    display: flex;
    justify-content: space-between;
    padding: 0;
    z-index: 0;
    margin-top: -1px;
}
  
.lights span {
    background: #121212;
    position: relative;
    width: calc(var(--sz) / 1.75);
    height: calc(var(--sz) / 1.75);
    border-radius: var(--sz);
    box-shadow: 
      0 0 calc(var(--sz) / 50) calc(var(--sz) / 50) #0008, 
      0 calc(var(--sz) / -20) calc(var(--sz) / 10) calc(var(--sz) / 500) #000, 
      0 calc(var(--sz) / 20) calc(var(--sz) / 10) calc(var(--sz) / 500) #fff8, 
      0 0 calc(var(--sz) / 20) calc(var(--sz) / 25) #000;
    display: flex;
    align-items: center;
    justify-content: center;
}
  
.lights span:after {
    content: "";
    color: #fff;
    width: calc(100% - calc(var(--sz) / 15));
    height: calc(100% - calc(var(--sz) / 15));
    position: absolute;
    background: radial-gradient(circle at 50% 32%, #fff5 0 calc(var(--sz) / 20), #000 calc(var(--sz) / 3) calc(var(--sz) / 3));
    border-radius: var(--sz);
    top: calc(var(--sz) / 50);
}
  
  
/* off */
span.light-off:after {
    box-shadow: 
      0 0 calc(var(--sz) / 2.5) 0 var(--lg), 
      0 0 calc(var(--sz) / 3) calc(var(--sz) / 20) var(--lg) inset, 
      0 calc(var(--sz) / -20) calc(var(--sz) / 10) calc(var(--sz) / 10) #000 inset;
    background: radial-gradient(circle at 50% 32%, #fff 0 calc(var(--sz) / 20), #fff8 calc(var(--sz) / 3) calc(var(--sz) / 3));
}
  
#btn:checked + label + .lights span.light-off:after {
    box-shadow: 0 0 calc(var(--sz) / 3) 0 #f5000020, 0 0 calc(var(--sz) / 3) calc(var(--sz) / 20) #f5000020 inset;
    background: radial-gradient(circle at 50% 32%, #fff5 0 calc(var(--sz) / 20), #000 calc(var(--sz) / 3) calc(var(--sz) / 3));
}
  
  
/* on */
span.light-on:after {
    box-shadow: 0 0 calc(var(--sz) / 3) 0 #00f56d20, 0 0 calc(var(--sz) / 3) calc(var(--sz) / 20) #00f56d20 inset;
}
  
#btn:checked + label + .lights span.light-on:after {
    --lg: var(--on);
    box-shadow: 0 0 calc(var(--sz) / 2.5) 0 var(--lg), 0 0 calc(var(--sz) / 3) calc(var(--sz) / 20) var(--lg) inset, 0 calc(var(--sz) / -20) calc(var(--sz) / 10) calc(var(--sz) / 10) #000 inset;
    background: radial-gradient(circle at 50% 32%, #fff 0 calc(var(--sz) / 20), #fff2 calc(var(--sz) / 3) calc(var(--sz) / 3));
}
  
#btn:checked + label + .lights span.light-on:before {
    --lg: var(--on);
}
  
#btn:checked + label + .lights span.light-off:before {
    --lg: #666;
}


/* volume slider (nan nan) */

#player {
	width: 215px;
    pointer-events: none;
	height: 50px;
	position: absolute;
	margin: 0 auto;
	bottom: 20px;
    right: 450px;
    opacity: 0;
}

i.fa-volume-down, i.fa-volume-up  {
    position: absolute;
    margin-top: -8px;
    font-size: 25px;
    transition: all .05s ease 0s;

    &.retro {
        color: #da691f;
    }

    &.actuel {
        color: rgb(203, 56, 233);
    }

    &.ost {
        color: rgb(61, 240, 225);
    }

    &.random {
        color: rgb(64, 245, 41);
    }
}

i.fa-volume-down {
    margin-left: -8px;
}

i.fa-volume-up {
    right: 0;
}

#volume {
    position: absolute;
    left: 24px;
    margin: 0 auto;
    height: 10px;
    width: 150px;
    background: #12172080;
    border-radius: 15px;

.ui-slider-range-min {
    height: 10px;
    width: 150px;
    position: absolute;
    border: none;
    border-radius: 10px;
    outline: none;

    &.retro {
        background-color: #da691f;
    }

    &.actuel {
        background-color: rgb(203, 56, 233);
    }

    &.ost {
        background-color: rgb(61, 240, 225);
    }

    &.random {
        background-color: rgb(64, 245, 41);
    }
}
	
.ui-slider-handle {
    width: 20px;
    height: 20px;
    border-radius: 20px;
    position: absolute;
    margin-left: -13px;
    margin-top: -0.5px;
    cursor: pointer;
    outline: none;

    &.retro {
        background: #da691f;
    }

    &.actuel {
        background: rgb(203, 56, 233);
    }

    &.ost {
        background: rgb(61, 240, 225);
    }

    &.random {
        background: rgb(64, 245, 41);
    }
}
}

